ros-galactic-launch-ros (0.14.5-1focal) focal; urgency=high

  * Fix "imported but not used" linters (#334 <https://github.com/ros2/launch_ros/issues/334>)
  * Contributors: Crola1702, Jorge Perez

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Dec 2022 08:00:00 -0000

ros-galactic-launch-ros (0.14.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-launch-ros (0.14.3-1focal) focal; urgency=high

  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>) (#301 <https://github.com/ros2/launch_ros/issues/301>)
  * Fix TypeError accessing name and value of SetParameter (#299 <https://github.com/ros2/launch_ros/issues/299>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>) (#290 <https://github.com/ros2/launch_ros/issues/290>)
  * Contributors: Jacob Perron, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-launch-ros (0.14.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.14.1-1focal) focal; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.14.0-1focal) focal; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-launch-ros (0.13.0-1focal) focal; urgency=high

  * Make sure ParameterFile __del__ works without exception. (#212 <https://github.com/ros2/launch_ros/issues/212>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-launch-ros (0.12.0-1focal) focal; urgency=high

  * Fix docblock in LoadComposableNodes (#207 <https://github.com/ros2/launch_ros/issues/207>)
  * Validate complex attributes of 'node' action (#198 <https://github.com/ros2/launch_ros/issues/198>)
  * Node.__init__() executable and ComposableNode.__init__() plugin arguments aren't optional (#197 <https://github.com/ros2/launch_ros/issues/197>)
  * Remove constructors arguments deprecated since Foxy (#190 <https://github.com/ros2/launch_ros/issues/190>)
  * Make name and namespace mandatory in ComposableNodeContainer, remove deprecated alternatives (#189 <https://github.com/ros2/launch_ros/issues/189>)
  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
    Update the package.xml files with the latest Open Robotics maintainers
  * Move previous maintainer to <author>
  * Update the package.xml files with the latest Open Robotics maintainers
  * Fix AttributeError when accessing component container name (#177 <https://github.com/ros2/launch_ros/issues/177>)
  * Handle any substitution types for SetParameter name argument (#182 <https://github.com/ros2/launch_ros/issues/182>)
  * Asynchronously wait for load node service response (#174 <https://github.com/ros2/launch_ros/issues/174>)
  * Fix case where list of composable nodes is zero (#173 <https://github.com/ros2/launch_ros/issues/173>)
  * Do not use event handler for loading composable nodes (#170 <https://github.com/ros2/launch_ros/issues/170>)
  * Fix race with launch context changes when loading composable nodes (#166 <https://github.com/ros2/launch_ros/issues/166>)
  * Substitutions in parameter files (#168 <https://github.com/ros2/launch_ros/issues/168>)
  * Fix documentation typo (#167 <https://github.com/ros2/launch_ros/issues/167>)
  * Fix problems when parsing a Command Substitution as a parameter value (#137 <https://github.com/ros2/launch_ros/issues/137>)
  * Add a way to set remapping rules for all nodes in the same scope (#163 <https://github.com/ros2/launch_ros/issues/163>)
  * Resolve libyaml warning when loading parameters from file (#161 <https://github.com/ros2/launch_ros/issues/161>)
  * Fix ComposableNode ignoring PushRosNamespace actions (#162 <https://github.com/ros2/launch_ros/issues/162>)
  * Add a SetParameter action that sets a parameter to all nodes in the same scope (#158 <https://github.com/ros2/launch_ros/issues/158>)
  * Make namespace parameter mandatory in LifecycleNode constructor (#157 <https://github.com/ros2/launch_ros/issues/157>)
  * Avoid using a wildcard to specify parameters if possible (#154 <https://github.com/ros2/launch_ros/issues/154>)
  * Fix no specified namespace (#153 <https://github.com/ros2/launch_ros/issues/153>)
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Dereck Wonnacott, Ivan Santiago Paunovic, Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-launch-ros (0.10.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-launch-ros (0.10.1-1focal) focal; urgency=high

  * Fix new flake8 errors (#148 <https://github.com/ros2/launch_ros/issues/148>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-launch-ros (0.10.0-1focal) focal; urgency=high

  * Avoid using sys.argv in rclpy.init (#144 <https://github.com/ros2/launch_ros/issues/144>)
  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Bump node_name warning stacklevel (#138 <https://github.com/ros2/launch_ros/issues/138>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Add warning message when launching Non-Uniquely Named Nodes (#127 <https://github.com/ros2/launch_ros/issues/127>)
  * Rename node-related parameters (#122 <https://github.com/ros2/launch_ros/issues/122>)
  * Fix LoadComposableNodes action so that loading happens asynchronously (#113 <https://github.com/ros2/launch_ros/issues/113>)
  * Fix frontend topic remapping (#111 <https://github.com/ros2/launch_ros/issues/111>)
  * Check for shutdown while waiting for a service response to avoid hang during shutdown (#104 <https://github.com/ros2/launch_ros/issues/104>)
  * Fix misleading deprecated warnings when using launch arguments (#106 <https://github.com/ros2/launch_ros/issues/106>)
  * Use imperative mood in constructor docstrings (#103 <https://github.com/ros2/launch_ros/issues/103>)
  * Maintain order of parameters regarding name and from (#99 <https://github.com/ros2/launch_ros/issues/99>)
  * Allow separate launch composition (#77 <https://github.com/ros2/launch_ros/issues/77>)
  * Fix push-ros-namespace in xml/yaml launch files (#100 <https://github.com/ros2/launch_ros/issues/100>)
  * Pass the node-name attribute through the substitution parser (#101 <https://github.com/ros2/launch_ros/issues/101>)
  * Add pid to launch_ros node name as suffix (#98 <https://github.com/ros2/launch_ros/issues/98>)
  * Contributors: Brian Ezequiel Marchi, Brian Marchi, Dirk Thomas, Eric Fang, Grey, Ivan Santiago Paunovic, Jacob Perron, Miaofei Mei, Michel Hidalgo, Shane Loretz, Steven! Ragnarök, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-galactic-launch-ros (0.9.4-1focal) focal; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-launch-ros (0.9.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-launch-ros (0.9.2-1focal) focal; urgency=high

  * Fix launch_ros.actions.Node parsing function (#83 <https://github.com/ros2/launch_ros/issues/83>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-launch-ros (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sat, 28 Sep 2019 07:00:00 -0000

ros-galactic-launch-ros (0.9.0-1focal) focal; urgency=high

  * Refactor Node parse() function. (#73 <https://github.com/ros2/launch_ros/issues/73>)
  * Handle zero-width string parameters. (#72 <https://github.com/ros2/launch_ros/issues/72>)
  * Promote special CLI rules to flags (#68 <https://github.com/ros2/launch_ros/issues/68>)
  * Add substitution for finding package share directory (#57 <https://github.com/ros2/launch_ros/issues/57>)
  * Use of -r/--remap flags where appropriate. (#59 <https://github.com/ros2/launch_ros/issues/59>)
  * install package marker and manifest (#62 <https://github.com/ros2/launch_ros/issues/62>)
  * Adapt to '--ros-args ... [--]'-based ROS args extraction (#52 <https://github.com/ros2/launch_ros/issues/52>)
  * Use node namespace if no other was specified (#51 <https://github.com/ros2/launch_ros/issues/51>)
  * [launch frontend] Rename some tag attributes (#47 <https://github.com/ros2/launch_ros/issues/47>)
  * Fix PushRosNamespace action (#44 <https://github.com/ros2/launch_ros/issues/44>)
  * Add PushRosNamespace action (#42 <https://github.com/ros2/launch_ros/issues/42>)
  * Add frontend parsing methods for Node, ExecutableInPackage and FindPackage substitution (#23 <https://github.com/ros2/launch_ros/issues/23>)
  * Restrict yaml loading in evaluate_parameters (#33 <https://github.com/ros2/launch_ros/issues/33>)
  * Fix typo
  * Use wildcard syntax in generated parameter YAML files (#35 <https://github.com/ros2/launch_ros/issues/35>)
  * Contributors: Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Scott K Logan, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-galactic-launch-ros (0.8.4-1focal) focal; urgency=high

  * Update usage of 'noqa' for imports (#32 <https://github.com/ros2/launch_ros/issues/32>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-galactic-launch-ros (0.8.3-1focal) focal; urgency=high

  * Added the ``FindPackage`` substitution. (#22 <https://github.com/ros2/launch_ros/issues/22>)
  * Changed interpretation of Parameter values which are passed to ``Node()`` so that they get evaluated by yaml rules. (#31 <https://github.com/ros2/launch_ros/issues/31>)
  * Contributors: Shane Loretz, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-launch-ros (0.8.2-1focal) focal; urgency=high

  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Corrected matches_action usage in lifecycle_pub_sub example (#21 <https://github.com/ros2/launch_ros/issues/21>)
  * Contributors: Jacob Perron, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-launch-ros (0.8.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-launch-ros (0.8.0-1focal) focal; urgency=high

  * Make 'ros2 launch' work again. (#201 <https://github.com/ros2/launch_ros/issues/201>)
  * Added LaunchLogger class (#145 <https://github.com/ros2/launch/issues/145>)
  * Changed logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)
  * Added Plumb rclpy.init context to get_default_launch_description. (#193 <https://github.com/ros2/launch/issues/193>)
  * Added normalize_parameters and evaluate_paramters. (#192 <https://github.com/ros2/launch/issues/192>)
  * Added normalize_remap_rule and types. (#173 <https://github.com/ros2/launch/issues/173>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Peter Baughman, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-launch-ros (0.7.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-galactic-launch-ros (0.7.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-galactic-launch-ros (0.7.1-1focal) focal; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-galactic-launch-ros (0.7.0-1focal) focal; urgency=high

  * Renamed transitions to match changes in ``lifecycle_msgs`` (#153 <https://github.com/ros2/launch/issues/153>)
    * TRANSITION_SHUTDOWN was deleted in ``lifecycle_msgs/msg/Transition.msg``
    * Align with the code changes from https://github.com/ros2/rcl_interfaces/commit/852a37ba3ae0f7e58f4314fa432a8ea7f0cbf639
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added support for passing parameters as a dictionary to a Node (#138 <https://github.com/ros2/launch/issues/138>)
  * Made various fixes and added tests for remappings passed to Node actions (#137 <https://github.com/ros2/launch/issues/137>)
  * Added ability to pass parameter files to Node actions (#135 <https://github.com/ros2/launch/issues/135>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * See changelog in ``launch`` for details.
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Chris Ye, Jacob Perron, William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-galactic-launch-ros (0.6.0-1focal) focal; urgency=high

  * Fixed a bug where launch would hang on exit by destroying the rclpy node on shutdown (#124 <https://github.com/ros2/launch/issues/124>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Fixed a race condition in emitting events by using loop.call_soon_threadsafe() (#119 <https://github.com/ros2/launch/issues/119>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-galactic-launch-ros (0.5.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-galactic-launch-ros (0.5.1-1focal) focal; urgency=high

  * Various Windows fixes. (#87 <https://github.com/ros2/launch/issues/87>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-galactic-launch-ros (0.5.0-1focal) focal; urgency=high

  * Changed to use variable typing in comments to support python 3.5 (#81 <https://github.com/ros2/launch/issues/81>)
  * First commit of the ROS specific launch API (#75 <https://github.com/ros2/launch/issues/75>)
    * ROS specific functionality for the new launch API.
  * Contributors: William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Jun 2018 07:00:00 -0000


